Bug 497662 - Review Request: perl-HTML-StripScripts - Strip scripting constructs out of HTML
Summary: Review Request: perl-HTML-StripScripts - Strip scripting constructs out of HTML
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 497663
TreeView+ depends on / blocked
 
Reported: 2009-04-25 21:04 UTC by Xavier Bachelot
Modified: 2009-05-09 04:12 UTC (History)
3 users (show)

Fixed In Version: 1.04-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-02 16:27:49 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Xavier Bachelot 2009-04-25 21:04:47 UTC
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-HTML-StripScripts.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-HTML-StripScripts-1.04-1.fc10.src.rpm
Description: This module strips scripting constructs out of HTML, leaving as much non-scripting markup in place as possible. This allows web applications to
display HTML originating from an untrusted source without introducing XSS
(cross site scripting) vulnerabilities.

Comment 1 Parag AN(पराग) 2009-04-28 05:14:24 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1325851
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
aecd01e273bddbf60dca2a923163826d  HTML-StripScripts-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=12, Tests=1894,  2 wallclock secs ( 0.04 usr  0.07 sys +  1.48 cusr  0.10 csys =  1.69 CPU)
+ Package perl-HTML-StripScripts-1.04-1.fc12.noarch =>
  Provides: perl(HTML::StripScripts) = 1.04
  Requires: perl(strict) perl(vars) perl(warnings)

Suggestions:
1) you don't need 
Requires:       perl(Test::More)
remove it from SPEC

APPROVED.

Comment 2 Xavier Bachelot 2009-04-28 19:26:20 UTC
Thanks for the review Parag. I'll fix the point you outlined above before building.

New Package CVS Request
=======================
Package Name: perl-HTML-StripScripts
Short Description: Strip scripting constructs out of HTML
Owners: xavierb
Branches: F-9 F-10 F-11 EL-5
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-04-29 03:10:02 UTC
cvs done.

Comment 4 Fedora Update System 2009-04-29 18:12:08 UTC
perl-HTML-StripScripts-1.04-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-StripScripts-1.04-1.fc10

Comment 5 Fedora Update System 2009-04-29 18:12:13 UTC
perl-HTML-StripScripts-1.04-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-HTML-StripScripts-1.04-1.fc9

Comment 6 Fedora Update System 2009-04-29 18:12:18 UTC
perl-HTML-StripScripts-1.04-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTML-StripScripts-1.04-1.fc11

Comment 7 Fedora Update System 2009-05-02 16:27:44 UTC
perl-HTML-StripScripts-1.04-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-05-02 16:34:34 UTC
perl-HTML-StripScripts-1.04-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-05-09 04:12:37 UTC
perl-HTML-StripScripts-1.04-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.